The BOOST_PP_STRINGIZE macro stringizes its argument after it has been expanded.

#### Usage

BOOST_PP_STRINGIZE(text)

#### Arguments

text
  The text to be converted to a string literal.

#### Remarks

The preprocessor stringizing operator (#) prevents arguments from expanding. This macro allows its argument to expand before it is stringized.

#### Requirements

Header: <boost/preprocessor/stringize.hpp>

#### Sample Code

    #include <boost/preprocessor/cat.hpp>
    #include <boost/preprocessor/stringize.hpp>

    BOOST_PP_STRINGIZE(BOOST_PP_CAT(a, b)) // expands to "ab"